Subject: Re: memory problem with fec on 8250

From: Samo Pogacnik <[email-masked]>
Date: Mon, 5 Jan 2004 23:52:33 +0100

On Monday 05 January 2004 09:15, Wojciech Kromer wrote:
> Użytkownik Samo Pogacnik napisał:
> >
> >Is it possible that there is something wrong in the way how the:
> >"netif_wake_queue(dev)" gets called from the interrupt handler in the
> >"fcc_enet.c"? I can confirm this problem for 2.4.18 as well as 2.6.0
> >kernels on mpc82xx.
>
> i don't know exactly what's wrong with 82xx code, but i wrote a small
> patch that frees unfreed skbuf before allocating new one, and now it
> works fine
>
> additionaly, i had no problem with (almost) the same code on 8xx

hi, Wojciech
can you send the patch?
did you free skbuffs from the irq handler or somewhere else?

when i run netperf (snapshot) test using the 100Mbps connection, this
test eats all the available RAM. the /proc/meminfo shows that most of the used
memory at that point is been held by internal kernel structures (Slab).

by, Samo

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/